# MOA / AOA Documents

This API is specifically designed for businesses to get the documents against the Company Identification Number (CIN) or Limited Liability Partnership Identification Number (LLPIN). Based on the provided number, it retrieves company documents such as the **AoA**, **CoI,INC20A** and **MoA** from the Ministry of Corporate Affairs database.

### Fetch Company Documents Details

`POST` `https://secctrl.tutelar.io/api/v1/kyc/business_profile/company_documents`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description                                             |
| -------------- | ------ | -----------: | ------------------------------------------------------- |
| `cin_llpin`    | String |          Yes | <p>Corporate Identification Number<br>CIN or LLPIN.</p> |

#### Sample Post Parameters

```json
{
    "cin_llpin": "U72900TN2020PKB139392"
}
```

200: Success Response

200: InProgress Response

200: Failure Response

400: Validation Error Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "completed",
    "result": {
        "AoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/AoA_file-1265268221873.pdf",
        "CoI": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/CoI_file-1265268221874.pdf",
        "INC20A": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/INC20A_file-1265268221875.pdf",
        "MoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/MoA_file-1265268221876.pdf",
    },
    "requested_at": "2025-10-27T14:54:45.340Z",
    "completed_at": "2025-10-27T14:54:45.340Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "in_progress",
    "requested_at": "2025-10-27T13:49:08.550Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "failed",
    "error": {
        "message": "The selected Company isn't available right now. Please try again later.",
        "code": "ERROR"
    },
    "requested_at": "2025-10-27T13:20:28.034Z",
    "completed_at": "2025-10-27T13:20:28.000Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "CIN/LLPIN number should not be empty",
    "error": {
        "message": "CIN/LLPIN number should not be empty",
        "field": "cin_llpin",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "CIN/LLPIN number must be between 9 and 25 characters",
    "error": {
        "message": "CIN/LLPIN number must be between 9 and 25 characters",
        "field": "cin_llpin",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Invalid CIN or LLPIN format",
    "error": {
        "message": "Invalid CIN or LLPIN format",
        "field": "cin_llpin",
        "code": "BAD_REQUEST"
    }
}
```

### Check Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/business_profile/company_documents`

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | -----------: | --------------------- |
| `reference_id`  | String |          Yes | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

422: Unprocessable Entity

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "completed",
    "result": {
        "AoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/AoA_file-1265268221873.pdf",
        "CoI": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/CoI_file-1265268221874.pdf",
        "INC20A": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/INC20A_file-1265268221875.pdf",
        "MoA": "https://secctrl.tutelar.io/image-pub/abc/xyz/companyDocuments/MoA_file-1265268221876.pdf",
    },
    "requested_at": "2025-10-27T14:54:45.340Z",
    "completed_at": "2025-10-27T14:54:45.340Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "in_progress",
    "requested_at": "2025-10-24T13:54:45.340Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "71fec2f9-dd75-4354-9ef5-41b6ac9b48a9",
    "status": "failed",
    "error": {
        "message": "The selected Company isn't available right now. Please try again later.",
        "code": "ERROR"
    },
    "requested_at": "2025-10-27T13:20:28.034Z",
    "completed_at": "2025-10-27T13:20:28.000Z"
}
```

```json
{
  "success": false,
  "code": 422,
  "message": "The reference_id does not exist."
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/moa-aoa-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
